<template>
  <v-container>
    <v-row v-if="searchFacilitatorsProfiles.length === 0">
      <p>No Facilitators found</p>
    </v-row>
    <v-row v-if="searchFacilitatorsProfiles.length">
      <v-col
        v-for="(searchResult, index) in searchFacilitatorsProfiles"
        :key="index"
        md="3"
        sm="4"
        xs="12"
      >
        <v-card :to="`/facilitators/${searchResult.firstName}/${searchResult.uid}`" outlined min-height="250px">
          <v-img
            class="white--text align-end"
            height="150px"
            :src="
              searchResult.imageUrl
                ? searchResult.imageUrl
                : 'https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460_960_720.png'
            "
          ></v-img>
          <v-card-text>
            <p class="body-1 pb-0 mb-0">{{`${searchResult.firstName} ${searchResult.lastName}` | capitalize}}</p>
            <span class="body-2">{{searchResult.title | capitalize}}</span>
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
import { mapState } from 'vuex'

export default {
  computed: {
    ...mapState('facilitatorProfile', ['searchFacilitatorsProfiles'])
  },
}
</script>

<style lang="scss" scoped></style>
